<div class="manage-editors-background-image px-2" ...attributes>
  <Input::PictureAuto @model="Page" @modelId={{@page.id}} class="mb-3" {{did-insert this.setupPicture}} @disable365={{true}} @value={{this.picture}} @save={{this.pictureChanged}} />

  <Editor::Properties::BackgroundRepeat class="mb-3" @showLabel={{true}} @size="sm" @options={{this.options}} @onChange={{this.optionsChanged}} />

  <Editor::Properties::BackgroundSize class="mb-3" @showLabel={{true}} @size="sm" @options={{this.options}} @onChange={{this.optionsChanged}} />

  {{#if this.hasFixedSize}}
    <Editor::Properties::ResponsiveValue @label={{t "option-panel.image-size"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
      <Editor::Properties::Dimension
        class="input-width-group"
        @value={{this.style}}
        @col={{this.col}}
        @size={{size}}
        @property="background-size"
        @index={{0}}
        @units={{array "px" "%" "vh" "vw"}}
        @onChangeOptions={{this.changeDimension}}
      />
      <Editor::Properties::Dimension
        class="input-height-group"
        @value={{this.style}}
        @col={{this.col}}
        @size={{size}}
        @property="background-size"
        @index={{1}}
        @units={{array "px" "%" "vh" "vw"}}
        @onChangeOptions={{this.changeDimension}}
      />
    </Editor::Properties::ResponsiveValue>
  {{/if}}

  <Editor::Properties::BackgroundPositionX class="mb-3" @showLabel={{true}} @size="sm" @options={{this.options}} @onChange={{this.optionsChanged}} />

  {{#if this.hasFixedX}}
    <Editor::Properties::ResponsiveValue @label={{t "option-panel.position-x"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
      <Editor::Properties::Dimension
        class="input-width-group"
        @value={{this.style}}
        @col={{this.col}}
        @size={{size}}
        @property="background-position-x"
        @units={{array "px" "%"}}
        @onChangeOptions={{this.changeProperty}}
      />
    </Editor::Properties::ResponsiveValue>
  {{/if}}

  <Editor::Properties::BackgroundPositionY class="mb-3" @showLabel={{true}} @size="sm" @options={{this.options}} @onChange={{this.optionsChanged}} />

  {{#if this.hasFixedY}}
    <Editor::Properties::ResponsiveValue @label={{t "option-panel.position-y"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
      <Editor::Properties::Dimension
        class="input-width-group"
        @value={{this.style}}
        @col={{this.col}}
        @size={{size}}
        @property="background-position-y"
        @units={{array "px" "%"}}
        @onChangeOptions={{this.changeProperty}}
      />
    </Editor::Properties::ResponsiveValue>
  {{/if}}
</div>